Bug 429413 - firefox doesn't show screenshots
firefox doesn't show screenshots
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-19 11:04 EST by Horst H. von Brand
Modified: 2008-04-08 03:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-08 03:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
illustration of non-reproduction (294.91 KB, image/png)
2008-04-03 02:17 EDT, Matěj Cepl
no flags Details
illustration (389.64 KB, image/png)
2008-04-04 21:31 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Horst H. von Brand 2008-01-19 11:04:16 EST
Description of problem:
I went to read <http://fedoraproject.org/wiki/Interviews/PackageKit>, the
screenshots for that one show just as blank areas.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Pete Zaitcev 2008-01-21 19:08:38 EST
The bug does not reproduce for me on the link that Horst provided (I can see
the screenshots), but I encounter it from time to time. It's quite real.
Right now it happens to me with this:

I wonder if this is some kind of caching issue: if the image fails to load
once, it stays black until it expires. It seems to happen with sites which
are slow.
Comment 2 Pete Zaitcev 2008-02-07 15:35:27 EST
This is still an issue, at least for me.

Forget about the "cache", it seems to be related to image resizing.
All black images occur when an image is shown with constraints.

I went to the upstream bugzilla and amazingly enough there's no
such bug filed, at least as far as I can see. Perhaps it's Fedora
specific. I'm surprised this bug is not getting any attention,
I see tons of the black rectangles everywhere.
Comment 3 Christopher Aillon 2008-02-22 01:44:26 EST
I'm using vanilla upstream with a few compilation fix exceptions.  This surely
isn't Fedora specific, but may be affected by one of the newer GNOME libraries
we ship?   If this still occurs in the latest packages (20080221 or later)  then
we should make sure this gets filed upstream.
Comment 4 Pete Zaitcev 2008-04-02 15:25:55 EDT
Still happening to me.

Comment 5 Matěj Cepl 2008-04-02 19:10:41 EDT
Cannot reproduce here. Something's weird. What happens when you run firefox with
parameter -no-remote?
Comment 6 Pete Zaitcev 2008-04-02 23:02:55 EDT
Matej, -no-remote does exactly nothing for me, I tested.

Notice, however, that the original link that Horst provided does
not fail anymore, because the bug requires constraints placed on
images (forced resizing), and apparently CSS was changed in our
Wiki not to scale images anymore. You can see those screencaps
extending into the right column. Make sure you visited the link
that I provided in comment #1.
Comment 7 Matěj Cepl 2008-04-03 02:14:08 EDT
Sorry, that was stupid type, I meant -safe-mode (so that we are sure no
plugins/extensions are involved). It just works for me.
Comment 8 Matěj Cepl 2008-04-03 02:17:46 EDT
Created attachment 300180 [details]
illustration of non-reproduction

(In reply to comment #6)
> You can see those screencaps extending into the right column. Make sure you 
> visited the link that I provided in comment #1.

Apparently I cannot reproduce it there as well (is this what was meant to be
seen?). This bug is getting dangerously close to WORKSFORME.
Comment 9 Horst H. von Brand 2008-04-03 21:59:37 EDT
Now (firefox-3.0-0.52.beta5.fc9.i386) the page in my original report and the one
in comment #1 work for me.

[No, that isn't really WORKSFORME, its just that for a while firefox had a new
version  out each day...]
Comment 10 Pete Zaitcev 2008-04-04 21:31:35 EDT
Created attachment 301355 [details]
Comment 11 Pete Zaitcev 2008-04-04 21:36:24 EDT
The illustration above is taken with -safe-mode.

I suppose it's ok to close if it works for Horst.

This only happens on one of my Rawhide systems, so obviously it's
something specific to it. I just cannot guess what. Same architecture
(x86_64). The video hardware is different, but why would it affect
Comment 12 Matěj Cepl 2008-04-05 14:23:45 EDT
Pete, let's give it a month. I will put you in NEEDINFO and if you find some way
for us to reproduce this issue, let us know. Otherwise, if I won't be able to
reproduce it in a month, I will close this bug. OK?
Comment 13 Horst H. von Brand 2008-04-07 13:24:03 EDT
The page in #1 shows OK for me (firefox-3.0-0.52.beta5.fc9.i386, i686, nVidia
Corporation G72M [Quadro NVS 110M/GeForce Go 7300] rev 161), using the nv driver
(the nouveau one has strange issues, e.g.
Comment 14 Pete Zaitcev 2008-04-07 15:11:28 EDT
Horst's comment #13 gave me an idea. I shut down all instances of Firefox
and ran one at a time carefuly, with ssh -Y to display it across. Result:

Firefox local @niphredil:   FAIL (the original failure)
Firefox local @simbelmyne:  OK
Firefox running @niphrefil, displaying to simbelmyne:  OK
Firefox running @simbelmyne, displaying to niphredil:  FAIL

So, the bug stays with the X server. Can it be a bug in X?
Niphredil uses "radeon" (supplied by -drv-ati).


I'll try to switch DRI off and check if that helps...

Matej, Horst, what should I do about this bug? Clone?
Comment 15 Pete Zaitcev 2008-04-07 15:26:06 EDT
Never mind, looks like it fixed itself with -16, but I haven't restarted
X server since I'm happy now. Matej, we can
close this as far as I'm concerned.
Comment 16 Matěj Cepl 2008-04-08 03:48:54 EDT
OK, so I will close this now, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional

Closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.